XPRT_REGISTER_TRANSP(9)

NAME
xprt_register_transport - register a transport implementation

SYNOPSIS

int xprt_register_transport(struct xprt_class * transport);

ARGUMENTS

transport
    transport to register

DESCRIPTION

If a transport implementation is loaded as a kernel module, it can call this interface to make itself known to the RPC client.

0

transport successfully registered -EEXIST: transport already registered -EINVAL: transport module being unloaded

COPYRIGHT